Package org.codehaus.janino

# Class Java.NormalAnnotation

java.lang.Object
org.codehaus.janino.Java.AbstractAnnotation
org.codehaus.janino.Java.NormalAnnotation

All Implemented Interfaces:
  `Java.Annotation`, `Java.ElementValue`, `Java.Locatable`, `Java.Modifier`

Enclosing class:
  `Java`

public static final class Java.NormalAnnotation extends Java.AbstractAnnotation
A "normal annotation", i.e. an annotation with multiple elements in parentheses and curly braces.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.ElementValuePair[]`
`elementValuePairs`
The element-value-pairs associated with this annotation.

### Fields inherited from class org.codehaus.janino.Java.AbstractAnnotation

`type`

## Constructor Summary

Constructors
Constructor
Description
`NormalAnnotation(Java.ReferenceType type, Java.ElementValuePair[] elementValuePairs)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.AnnotationVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.AnnotationVisitor` for the concrete `Java.Annotation` type.
`Java.Type`
`getType()`
`void`
`setEnclosingScope(Java.Scope enclosingScope)`
Sets the enclosing scope for this annotation.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.AbstractAnnotation

`accept, accept, getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### elementValuePairs

public final Java.ElementValuePair[] elementValuePairs
The element-value-pairs associated with this annotation.

## Constructor Details

### NormalAnnotation

public NormalAnnotation(Java.ReferenceType type, Java.ElementValuePair[] elementValuePairs)

## Method Details

### setEnclosingScope

public void setEnclosingScope(Java.Scope enclosingScope)
Description copied from interface: `Java.Annotation`
Sets the enclosing scope for this annotation.

Specified by:
  `setEnclosingScope` in interface `Java.Annotation`
Specified by:
  `setEnclosingScope` in interface `Java.ElementValue`
Overrides:
  `setEnclosingScope` in class `Java.AbstractAnnotation`

### getType

public Java.Type getType()

Returns:
  The type of this annotation

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.AnnotationVisitor<R,EX> visitor) throws EX
Description copied from interface: `Java.Annotation`
Invokes the "`visit...()`" method of `Visitor.AnnotationVisitor` for the concrete `Java.Annotation` type.

Throws:
  `EX`